none
FeatureName:WAS-NetFxEnvironment without .NET Framework 3.5 installed RRS feed

  • Question

  • Hi All, 

    I have upgraded our product to .NET 4.6 and don't want to require to install .NET Framework 3.5 under Windows 2016 OS.

    There is a legacy command  on enabling feature "WAS-NetFxEnvironment" during installation, this command will throw error:

    My question is that can I remove this command about installing feature "WAS-NetFxEnvironment"?  Are there any risks?

    So far our product has been updated to .NET 4.6.

    Thanks

    Scott

    Friday, April 19, 2019 2:39 AM

Answers

  • Hi Scottq,
    First, WCF mainly discuss and ask questions about general managed code networking topics such as serialization, System.NET, Windows Communication Foundation(WCF), and Web Services.
    If you post the thread to right forum, I think you may get more useful information.
    https://forums.iis.net/
    Besides, as far as I know, this command mainly corresponds to .net environment component in IIS, which is required during the process of hosting the WCF service created by NetTcpBinding, NetMsmqBinding and so on.
    Regards
    Abraham

    Friday, April 19, 2019 6:25 AM
    Moderator